Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class AlgorithmParameters

    java.lang.Object
      |
      +--java.security.AlgorithmParameters

public class AlgorithmParameters
extends java.lang.Object

Constructor Summary
`protected` | `AlgorithmParameters(AlgorithmParametersSpi paramSpi, java.security.Provider provider, java.lang.String algorithm)`

Method Summary
`java.lang.String` | `getAlgorithm()`
`byte[]` | `getEncoded()`
`byte[]` | `getEncoded(java.lang.String format)`
`static AlgorithmParameters` | `getInstance(java.lang.String algorithm)`
`static AlgorithmParameters` | `getInstance(java.lang.String algorithm, java.lang.String provider)`
`AlgorithmParameterSpec` | `getParameterSpec(java.lang.Class paramSpec)`
`java.security.Provider` | `getProvider()`
`void` | `init(AlgorithmParameterSpec paramSpec)`
`void` | `init(byte[] params)`
`void` | `init(byte[] params, java.lang.String format)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlgorithmParameters

    protected AlgorithmParameters(AlgorithmParametersSpi paramSpi,
                                  java.security.Provider provider,
                                  java.lang.String algorithm)

Method Detail

### getAlgorithm

    public final java.lang.String getAlgorithm()

### getEncoded

    public final byte[] getEncoded()
                            throws java.io.IOException

    `java.io.IOException`

### getEncoded

    public final byte[] getEncoded(java.lang.String format)
                            throws java.io.IOException

    `java.io.IOException`

### getInstance

    public static AlgorithmParameters getInstance(java.lang.String algorithm)
                                           throws java.security.NoSuchAlgorithmException

    `java.security.NoSuchAlgorithmException`

### getInstance

    public static AlgorithmParameters getInstance(java.lang.String algorithm,
                                                  java.lang.String provider)
                                           throws java.security.NoSuchAlgorithmException,
                                                  java.security.NoSuchProviderException

    `java.security.NoSuchAlgorithmException`
    `java.security.NoSuchProviderException`

### getParameterSpec

    public final AlgorithmParameterSpec getParameterSpec(java.lang.Class paramSpec)
                                                  throws InvalidParameterSpecException

    `InvalidParameterSpecException`

### getProvider

    public final java.security.Provider getProvider()

### init

    public final void init(AlgorithmParameterSpec paramSpec)
                    throws InvalidParameterSpecException

    `InvalidParameterSpecException`

### init

    public final void init(byte[] params)
                    throws java.io.IOException

    `java.io.IOException`

### init

    public final void init(byte[] params,
                           java.lang.String format)
                    throws java.io.IOException

    `java.io.IOException`

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD